<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:47:15 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>VSLFactoryImpl (org.eclipse.papyrus.marte.vsl 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VSLFactoryImpl (org.eclipse.papyrus.marte.vsl 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":41,"i41":10,"i42":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VSLFactoryImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VariableDeclarationImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLPackageImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html" target="_top">Frames</a></li>
<li><a href="VSLFactoryImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EFactoryImpl">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.marte.vsl.vSL.impl</div>
<h2 title="Class VSLFactoryImpl" class="title">Class VSLFactoryImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EFactoryImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.marte.vsl.vSL.impl.VSLFactoryImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">VSLFactoryImpl</span>
extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Factory</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EFactoryImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EFactoryImpl</h3>
<code>EDATE_FORMATS, ePackage</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.marte.vsl.vSL.VSLFactory">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.papyrus.marte.vsl.vSL.<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#eINSTANCE">eINSTANCE</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#VSLFactoryImpl--">VSLFactoryImpl</a></span>()</code>
<div class="block">Creates an instance of the factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#create-org.eclipse.emf.ecore.EClass-">create</a></span>(org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/AdditiveExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">AdditiveExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createAdditiveExpression--">createAdditiveExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/AndOrXorExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">AndOrXorExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createAndOrXorExpression--">createAndOrXorExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/BooleanLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">BooleanLiteralRule</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createBooleanLiteralRule--">createBooleanLiteralRule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/CollectionOrTuple.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">CollectionOrTuple</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createCollectionOrTuple--">createCollectionOrTuple</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ConditionalExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ConditionalExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createConditionalExpression--">createConditionalExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DataTypeName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DataTypeName</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createDataTypeName--">createDataTypeName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DateTimeLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DateTimeLiteralRule</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createDateTimeLiteralRule--">createDateTimeLiteralRule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DefaultLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DefaultLiteralRule</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createDefaultLiteralRule--">createDefaultLiteralRule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DurationObsExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DurationObsExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createDurationObsExpression--">createDurationObsExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DurationObsName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DurationObsName</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createDurationObsName--">createDurationObsName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/EqualityExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">EqualityExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createEqualityExpression--">createEqualityExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createExpression--">createExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/InstantObsExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">InstantObsExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createInstantObsExpression--">createInstantObsExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/InstantObsName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">InstantObsName</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createInstantObsName--">createInstantObsName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/IntegerLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">IntegerLiteralRule</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createIntegerLiteralRule--">createIntegerLiteralRule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Interval</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createInterval--">createInterval</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/JitterExp.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">JitterExp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createJitterExp--">createJitterExp</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ListOfValueNamePairs.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ListOfValueNamePairs</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createListOfValueNamePairs--">createListOfValueNamePairs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ListOfValues.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ListOfValues</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createListOfValues--">createListOfValues</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Literal.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Literal</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createLiteral--">createLiteral</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/MultiplicativeExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">MultiplicativeExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createMultiplicativeExpression--">createMultiplicativeExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NameOrChoiceOrBehaviorCall.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NameOrChoiceOrBehaviorCall</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createNameOrChoiceOrBehaviorCall--">createNameOrChoiceOrBehaviorCall</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NullLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NullLiteralRule</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createNullLiteralRule--">createNullLiteralRule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NumberLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NumberLiteralRule</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createNumberLiteralRule--">createNumberLiteralRule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/OperationCallExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">OperationCallExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createOperationCallExpression--">createOperationCallExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/PrimaryExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">PrimaryExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createPrimaryExpression--">createPrimaryExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/PropertyCallExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">PropertyCallExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createPropertyCallExpression--">createPropertyCallExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/QualifiedName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">QualifiedName</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createQualifiedName--">createQualifiedName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/RealLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">RealLiteralRule</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createRealLiteralRule--">createRealLiteralRule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/RelationalExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">RelationalExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createRelationalExpression--">createRelationalExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/StringLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">StringLiteralRule</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createStringLiteralRule--">createStringLiteralRule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/SuffixExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">SuffixExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createSuffixExpression--">createSuffixExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/TimeExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">TimeExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createTimeExpression--">createTimeExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Tuple.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Tuple</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createTuple--">createTuple</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/UnaryExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">UnaryExpression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createUnaryExpression--">createUnaryExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/UnlimitedLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">UnlimitedLiteralRule</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createUnlimitedLiteralRule--">createUnlimitedLiteralRule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueNamePair.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueNamePair</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createValueNamePair--">createValueNamePair</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createValueSpecification--">createValueSpecification</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VariableDeclaration.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VariableDeclaration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createVariableDeclaration--">createVariableDeclaration</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLPackage.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#getPackage--">getPackage</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;&nbsp;</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLPackage.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#getVSLPackage--">getVSLPackage</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#init--">init</a></span>()</code>
<div class="block">Creates the default factory implementation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EFactoryImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EFactoryImpl</h3>
<code>basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, convertToString, create, createFromString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eBasicSetContainer, eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EFactory">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EFactory</h3>
<code>convertToString, createFromString, getEPackage, setEPackage</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="VSLFactoryImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>VSLFactoryImpl</h4>
<pre>public&nbsp;VSLFactoryImpl()</pre>
<div class="block">Creates an instance of the factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a>&nbsp;init()</pre>
<div class="block">Creates the default factory implementation.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="create-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EObject&nbsp;create(org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>create</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.EFactory</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>create</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EFactoryImpl</code></dd>
</dl>
</li>
</ul>
<a name="createExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a>&nbsp;createExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createExpression--">createExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createAndOrXorExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAndOrXorExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/AndOrXorExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">AndOrXorExpression</a>&nbsp;createAndOrXorExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createAndOrXorExpression--">createAndOrXorExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>And Or Xor Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createEqualityExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createEqualityExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/EqualityExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">EqualityExpression</a>&nbsp;createEqualityExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createEqualityExpression--">createEqualityExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Equality Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createRelationalExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createRelationalExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/RelationalExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">RelationalExpression</a>&nbsp;createRelationalExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createRelationalExpression--">createRelationalExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Relational Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createConditionalExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConditionalExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ConditionalExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ConditionalExpression</a>&nbsp;createConditionalExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createConditionalExpression--">createConditionalExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Conditional Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createAdditiveExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAdditiveExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/AdditiveExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">AdditiveExpression</a>&nbsp;createAdditiveExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createAdditiveExpression--">createAdditiveExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Additive Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createMultiplicativeExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createMultiplicativeExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/MultiplicativeExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">MultiplicativeExpression</a>&nbsp;createMultiplicativeExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createMultiplicativeExpression--">createMultiplicativeExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Multiplicative Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createUnaryExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createUnaryExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/UnaryExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">UnaryExpression</a>&nbsp;createUnaryExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createUnaryExpression--">createUnaryExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Unary Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPrimaryExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPrimaryExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/PrimaryExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">PrimaryExpression</a>&nbsp;createPrimaryExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createPrimaryExpression--">createPrimaryExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Primary Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createValueSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createValueSpecification</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a>&nbsp;createValueSpecification()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createValueSpecification--">createValueSpecification</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Value Specification</em>'.</dd>
</dl>
</li>
</ul>
<a name="createSuffixExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSuffixExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/SuffixExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">SuffixExpression</a>&nbsp;createSuffixExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createSuffixExpression--">createSuffixExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Suffix Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createPropertyCallExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPropertyCallExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/PropertyCallExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">PropertyCallExpression</a>&nbsp;createPropertyCallExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createPropertyCallExpression--">createPropertyCallExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Property Call Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createOperationCallExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createOperationCallExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/OperationCallExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">OperationCallExpression</a>&nbsp;createOperationCallExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createOperationCallExpression--">createOperationCallExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Operation Call Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createLiteral--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createLiteral</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Literal.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Literal</a>&nbsp;createLiteral()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createLiteral--">createLiteral</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Literal</em>'.</dd>
</dl>
</li>
</ul>
<a name="createNameOrChoiceOrBehaviorCall--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNameOrChoiceOrBehaviorCall</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NameOrChoiceOrBehaviorCall.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NameOrChoiceOrBehaviorCall</a>&nbsp;createNameOrChoiceOrBehaviorCall()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createNameOrChoiceOrBehaviorCall--">createNameOrChoiceOrBehaviorCall</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Name Or Choice Or Behavior Call</em>'.</dd>
</dl>
</li>
</ul>
<a name="createQualifiedName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createQualifiedName</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/QualifiedName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">QualifiedName</a>&nbsp;createQualifiedName()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createQualifiedName--">createQualifiedName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Qualified Name</em>'.</dd>
</dl>
</li>
</ul>
<a name="createInterval--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInterval</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Interval</a>&nbsp;createInterval()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createInterval--">createInterval</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Interval</em>'.</dd>
</dl>
</li>
</ul>
<a name="createCollectionOrTuple--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createCollectionOrTuple</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/CollectionOrTuple.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">CollectionOrTuple</a>&nbsp;createCollectionOrTuple()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createCollectionOrTuple--">createCollectionOrTuple</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Collection Or Tuple</em>'.</dd>
</dl>
</li>
</ul>
<a name="createTuple--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTuple</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Tuple.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Tuple</a>&nbsp;createTuple()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createTuple--">createTuple</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Tuple</em>'.</dd>
</dl>
</li>
</ul>
<a name="createListOfValues--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createListOfValues</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ListOfValues.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ListOfValues</a>&nbsp;createListOfValues()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createListOfValues--">createListOfValues</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>List Of Values</em>'.</dd>
</dl>
</li>
</ul>
<a name="createListOfValueNamePairs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createListOfValueNamePairs</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ListOfValueNamePairs.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ListOfValueNamePairs</a>&nbsp;createListOfValueNamePairs()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createListOfValueNamePairs--">createListOfValueNamePairs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>List Of Value Name Pairs</em>'.</dd>
</dl>
</li>
</ul>
<a name="createValueNamePair--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createValueNamePair</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueNamePair.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueNamePair</a>&nbsp;createValueNamePair()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createValueNamePair--">createValueNamePair</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Value Name Pair</em>'.</dd>
</dl>
</li>
</ul>
<a name="createTimeExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTimeExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/TimeExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">TimeExpression</a>&nbsp;createTimeExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createTimeExpression--">createTimeExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Time Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createInstantObsExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInstantObsExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/InstantObsExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">InstantObsExpression</a>&nbsp;createInstantObsExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createInstantObsExpression--">createInstantObsExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Instant Obs Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createInstantObsName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInstantObsName</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/InstantObsName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">InstantObsName</a>&nbsp;createInstantObsName()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createInstantObsName--">createInstantObsName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Instant Obs Name</em>'.</dd>
</dl>
</li>
</ul>
<a name="createDurationObsExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDurationObsExpression</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DurationObsExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DurationObsExpression</a>&nbsp;createDurationObsExpression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createDurationObsExpression--">createDurationObsExpression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Duration Obs Expression</em>'.</dd>
</dl>
</li>
</ul>
<a name="createDurationObsName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDurationObsName</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DurationObsName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DurationObsName</a>&nbsp;createDurationObsName()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createDurationObsName--">createDurationObsName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Duration Obs Name</em>'.</dd>
</dl>
</li>
</ul>
<a name="createJitterExp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createJitterExp</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/JitterExp.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">JitterExp</a>&nbsp;createJitterExp()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createJitterExp--">createJitterExp</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Jitter Exp</em>'.</dd>
</dl>
</li>
</ul>
<a name="createVariableDeclaration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createVariableDeclaration</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VariableDeclaration.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VariableDeclaration</a>&nbsp;createVariableDeclaration()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createVariableDeclaration--">createVariableDeclaration</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Variable Declaration</em>'.</dd>
</dl>
</li>
</ul>
<a name="createDataTypeName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDataTypeName</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DataTypeName.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DataTypeName</a>&nbsp;createDataTypeName()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createDataTypeName--">createDataTypeName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Data Type Name</em>'.</dd>
</dl>
</li>
</ul>
<a name="createNumberLiteralRule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNumberLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NumberLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NumberLiteralRule</a>&nbsp;createNumberLiteralRule()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createNumberLiteralRule--">createNumberLiteralRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Number Literal Rule</em>'.</dd>
</dl>
</li>
</ul>
<a name="createIntegerLiteralRule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createIntegerLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/IntegerLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">IntegerLiteralRule</a>&nbsp;createIntegerLiteralRule()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createIntegerLiteralRule--">createIntegerLiteralRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Integer Literal Rule</em>'.</dd>
</dl>
</li>
</ul>
<a name="createUnlimitedLiteralRule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createUnlimitedLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/UnlimitedLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">UnlimitedLiteralRule</a>&nbsp;createUnlimitedLiteralRule()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createUnlimitedLiteralRule--">createUnlimitedLiteralRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Unlimited Literal Rule</em>'.</dd>
</dl>
</li>
</ul>
<a name="createRealLiteralRule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createRealLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/RealLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">RealLiteralRule</a>&nbsp;createRealLiteralRule()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createRealLiteralRule--">createRealLiteralRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Real Literal Rule</em>'.</dd>
</dl>
</li>
</ul>
<a name="createDateTimeLiteralRule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDateTimeLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DateTimeLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DateTimeLiteralRule</a>&nbsp;createDateTimeLiteralRule()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createDateTimeLiteralRule--">createDateTimeLiteralRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Date Time Literal Rule</em>'.</dd>
</dl>
</li>
</ul>
<a name="createBooleanLiteralRule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBooleanLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/BooleanLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">BooleanLiteralRule</a>&nbsp;createBooleanLiteralRule()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createBooleanLiteralRule--">createBooleanLiteralRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Boolean Literal Rule</em>'.</dd>
</dl>
</li>
</ul>
<a name="createNullLiteralRule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNullLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NullLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NullLiteralRule</a>&nbsp;createNullLiteralRule()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createNullLiteralRule--">createNullLiteralRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Null Literal Rule</em>'.</dd>
</dl>
</li>
</ul>
<a name="createDefaultLiteralRule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDefaultLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DefaultLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DefaultLiteralRule</a>&nbsp;createDefaultLiteralRule()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createDefaultLiteralRule--">createDefaultLiteralRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Default Literal Rule</em>'.</dd>
</dl>
</li>
</ul>
<a name="createStringLiteralRule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStringLiteralRule</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/StringLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">StringLiteralRule</a>&nbsp;createStringLiteralRule()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createStringLiteralRule--">createStringLiteralRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>String Literal Rule</em>'.</dd>
</dl>
</li>
</ul>
<a name="getVSLPackage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVSLPackage</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLPackage.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLPackage</a>&nbsp;getVSLPackage()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#getVSLPackage--">getVSLPackage</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the package supported by this factory.</dd>
</dl>
</li>
</ul>
<a name="getPackage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPackage</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public static&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLPackage.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VSLPackage</a>&nbsp;getPackage()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VSLFactoryImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VariableDeclarationImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLPackageImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html" target="_top">Frames</a></li>
<li><a href="VSLFactoryImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EFactoryImpl">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
